## Class file_loader

zeep::http::file_loader — actual implementation of a zeep::resource_loader that loads files from disk

## Synopsis

    // In header: <zeep/http/template-processor.hpp>

    class file_loader : public  {
    public:
      // construct/copy/destruct
      ( = ".");

      // public member functions

      (, ) ;

      (, ) ;
    };

## Description

Load the resources from the directory specified in the docroot constructor parameter.

### `file_loader` public construct/copy/destruct

1.     ( docroot = ".");

   constructor

   Throws a runtime_error if the docroot does not exist

   Parameters:

   `docroot` | Path to the directory where the 'resources' are located

### `file_loader` public member functions

1.     ( file,  ec) ;

   return last_write_time of file

2.     ( file,  ec) ;

   basic loader, returns error in ec if file was not found